<div class="sheet-container">
    <img class="background" src="{{backgroundImages.url}}" title="{{localize backgroundImages.title}}"
         alt="{{localize 'tor2e.items.armours.tech.alt'}}"/>
    <form class="{{cssClass}} flexrow" autocomplete="off">

        {{> "systems/tor2e/templates/sheets/items/components/item-header-card.hbs"
                item=this.item
                label="tor2e.items.armours.title"
                alt="tor2e.items.armours.tech.alt"}}

        <div class="sheet-content">
            <!-- Effect Configuration Tabs -->
            <nav class="sheet-tabs tabs">
                <a class="item" data-tab="details"><i class="fas fa-book"></i> {{localize "EFFECT.TabDetails"}}</a>
                <a class="item" data-tab="effects"><i class="fas fa-cogs"></i> {{localize "EFFECT.TabEffects"}}</a>
            </nav>

            <div class="sheet-body">
                <div class="tab" data-tab="details">
                    <div class="item-row flexrow separated">
                        <div class="item-element">
                            {{#if this.isShield}}
                                <label for="system.protection.value-{{item.id}}">{{localize
                                        "tor2e.actors.stats.bonus.defense.shieldParry"}}</label>
                            {{else}}
                                <label for="system.protection.value-{{item.id}}">{{localize
                                        system.protection.label}}</label>
                            {{/if}}
                            {{#if this.isShield}}+{{/if}}<input id="system.protection.value-{{item.id}}"
                                                                class="number-value"
                                                                name="system.protection.value"
                                                                type="number"
                                                                value="{{system.protection.value}}"
                                                                data-dtype="{{system.protection.type}}" step="1" min="0"
                                                                max="20" required>{{#if this.isShield}}{{else}}D{{/if}}
                            <span class="validity"></span>
                        </div>
                        <div class="item-element">
                            <label for="system.load.value-{{item.id}}">{{localize system.load.label}}</label>
                            <input id="system.load.value-{{item.id}}" class="number-value" name="system.load.value"
                                   type="number"
                                   value="{{system.load.value}}"
                                   data-dtype="{{system.load.type}}" step="1" min="0" max="40" required>
                            <span class="validity"></span>
                        </div>
                    </div>
                    <div class="item-row flexrow">
                        <div class="item-element">
                            <label for="system.group.value-{{item.id}}">{{localize system.group.label}}</label>
                            <select id="system.group.value-{{item.id}}" class="auto-sizeable" name="system.group.value">
                                {{selectOptions config.armourGroups
                                                selected=system.group.value
                                                localize=true
                                }}
                            </select>
                        </div>
                    </div>
                    <div class="description flexcol">
                        <h2>{{localize system.description.label}}</h2>
                        {{editor description target="system.description.value" button=true editable=true}}
                    </div>
                </div>
                <div class="tab flexcol" data-tab="effects">
                    {{> "systems/tor2e/templates/sheets/items/components/item-active-effects-card.hbs"
                            activeEffects=this.effects}}
                </div>
            </div>
        </div>
    </form>
</div>
